[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.FormIsUpdating

Indicates if the BeginFormUpdate method has been called without a corresponding EndFormUpdate method call.

## Declaration

Source position: forms.pp line 713

`public function TCustomForm.FormIsUpdating: Boolean; override;`

## Function result

Returns True when the internal update counter for the form contains a positive non-zero value.

## Description

The method is used in TControl descendants to determine if the parent form for the control is already rendering changes to its content.

## See also

TCustomForm.BeginFormUpdate |  | Increments the form update counter, and disables auto-sizing on the initial update lock.
TCustomForm.EndFormUpdate |  | Decrements the form update counter, and re-enables auto-sizing on the form.
TControl.FormIsUpdating |  | True if the form is being updated.